diff --git a/pbrd/pbr_map.c b/pbrd/pbr_map.c
index 6b81e1058e42..774e7ee85ac6 100644
--- a/pbrd/pbr_map.c
+++ b/pbrd/pbr_map.c
@@ -62,7 +62,7 @@ static int pbr_map_sequence_compare(const struct pbr_map_sequence *pbrms1,
 	return 1;
 }
 
-static void pbr_map_sequence_delete(struct pbr_map_sequence *pbrms)
+void pbr_map_sequence_delete(struct pbr_map_sequence *pbrms)
 {
 	XFREE(MTYPE_TMP, pbrms->internal_nhg_name);
 
diff --git a/pbrd/pbr_map.h b/pbrd/pbr_map.h
index 61577e40769b..9fb674bd6eb8 100644
--- a/pbrd/pbr_map.h
+++ b/pbrd/pbr_map.h
@@ -251,6 +251,8 @@ extern void pbr_map_policy_install(const char *name);
 extern void pbr_map_policy_delete(struct pbr_map *pbrm,
 				  struct pbr_map_interface *pmi);
 
+extern void pbr_map_sequence_delete(struct pbr_map_sequence *pbrms);
+
 extern void pbr_map_check_vrf_nh_group_change(const char *nh_group,
 					      struct pbr_vrf *pbr_vrf,
 					      uint32_t old_vrf_id);
diff --git a/pbrd/pbr_vty.c b/pbrd/pbr_vty.c
index 0d6e1afd5b05..71619b517716 100644
--- a/pbrd/pbr_vty.c
+++ b/pbrd/pbr_vty.c
@@ -123,6 +123,7 @@ DEFUN_NOSH(no_pbr_map,
 			continue;
 
 		pbr_map_delete(pbrms);
+		pbr_map_sequence_delete(pbrms);
 	}
 
 	return CMD_SUCCESS;
